clear;clc;clf;

% Calculate average debt and VaR for different strategies

% Two maturity strategies

t=500;
store_1=zeros(t,4);
store_2=zeros(t,4);
store_3=zeros(t,4);
randz=unifrnd(0,1,t,1);
randh=randi([12 240],t,3);
for h=1:t
	h
    store_1(h,:)=fixed2([randh(h,1:2) randz(h) 0]);
    store_2(h,:)=fixed2([randh(h,1:2) -0.5 0]);
    store_3(h,:)=fixed2([randh(h,1:2) -1 0]);
end

% Figure 13: Leverage effects

figure(13);
plot(store_1(12:end,3),100*store_1(12:end,4),'b.');
hold on;
plot(store_2(12:end,3),100*store_2(12:end,4),'r.');
hold on;
plot(store_3(12:end,3),100*store_3(12:end,4),'g.');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
legend('Baseline issuance','50% over-issuance','100% over-issuance','location','northwest');
xlim([25 65]);
ylim([1 3]);