% Debt to GDP ratios on start and end dates

d_start=debt_market((year1-startyear)*12)/YBHA3(year1-startyearGDP);
d_end=debt_market((year2-startyear+1)*12)/YBHA3(year2-startyearGDP+1);

% Initialise counting variables to zero
    
payments=0;payments1=0;payments2=0;c_inflation=0;c_inflation_i=0;c_gdpgrowth=0;
c_gdpgrowth_n=0;c_gdpgrowth_i=0;c_interest=0;c_interest1=0;c_interest2=0;

% Loop through years

for i=year1:year2
        
        % Start and end market value of debt
        
        debt_start=debt_market((i-startyear)*12)/YBHA3(i-startyearGDP);
        debt_start_n=debt_market_n((i-startyear)*12)/YBHA3(i-startyearGDP);     
        debt_start_i=debt_market_i((i-startyear)*12)/YBHA3(i-startyearGDP);
       
        % One period holding returns
        
        payments=pay((i-startyear)*12+1)/YBHA3(i-startyearGDP+1);
        payments1=pay1((i-startyear)*12+1)/YBHA3(i-startyearGDP+1);
        payments2=pay2((i-startyear)*12+1)/YBHA3(i-startyearGDP+1);
      
        % Calculation of inflation
        
        GDP_deflator1=YBHA3(i-startyearGDP)/YBHA3_real(i-startyearGDP);
        GDP_deflator2=YBHA3(i-startyearGDP+1)/YBHA3_real(i-startyearGDP+1);
        
        % Contribution of inflation and real GDP growth
        
        c_inflation=c_inflation-((GDP_deflator2-GDP_deflator1)/GDP_deflator1)*debt_start_n;
        c_inflation_i=c_inflation_i-((GDP_deflator2-GDP_deflator1)/GDP_deflator1)*debt_start_i;
        c_gdpgrowth=c_gdpgrowth-((YBHA3_real(i-startyearGDP+1)-YBHA3_real(i-startyearGDP))/YBHA3_real(i-startyearGDP))*debt_start;

        % Contribution of nominal returns
        
        c_interest=c_interest+payments1+payments2;
        c_interest1=c_interest1+payments1;
        c_interest2=c_interest2+payments2;
 
end

% Adjust capital gains for indexation of indexed bonds
    
c_interest=c_interest+c_inflation_i;
c_interest2=c_interest2+c_inflation_i;
    
% Store results
       
Results=[d_start,d_end,d_end-d_start,c_interest,c_interest1,c_interest2,c_inflation,c_gdpgrowth,d_end-d_start-c_inflation-c_gdpgrowth-c_interest]';

